# Generated by Django 2.0 on 2017-12-30 19:52

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('api', '0005_auto_20171230_1833'),
    ]

    operations = [
        migrations.CreateModel(
            name='TypeCondition',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.CharField(max_length=255, unique=True, verbose_name='nom')),
                ('type', models.CharField(choices=[('YEAR_IS', "L'année d'étude correspond à la valeur"), ('YEAR_LT', "L'année d'étude est inférieur à la valeur"), ('YEAR_GT', "L'année d'étude est supérieur à la valeur")], max_length=30)),
                ('value', models.IntegerField(blank=True, default=1)),
            ],
            options={
                'verbose_name': "condition d'adhésion",
            },
        ),
        migrations.AlterModelOptions(
            name='membership',
            options={'verbose_name': 'adhésion'},
        ),
        migrations.AlterModelOptions(
            name='membershiptype',
            options={'ordering': ['name'], 'verbose_name': "type d'adhésion"},
        ),
        migrations.AlterModelOptions(
            name='studentprofile',
            options={'verbose_name': "profile d'étude"},
        ),
        migrations.AlterModelOptions(
            name='studydepartment',
            options={'ordering': ['short_name'], 'verbose_name': 'département'},
        ),
        migrations.AlterModelOptions(
            name='studyschool',
            options={'ordering': ['short_name'], 'verbose_name': 'école'},
        ),
        migrations.AlterModelOptions(
            name='studyyear',
            options={'ordering': ['-order'], 'verbose_name': 'année'},
        ),
        migrations.AddField(
            model_name='membershiptype',
            name='enabled',
            field=models.BooleanField(default=False, help_text='peut être vendue', verbose_name='activée'),
        ),
        migrations.AlterField(
            model_name='member',
            name='student_profile',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='member', to='api.StudentProfile'),
        ),
        migrations.AlterField(
            model_name='membership',
            name='member',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='memberships', to='api.Member'),
        ),
        migrations.AlterField(
            model_name='studentprofile',
            name='department',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.PROTECT, related_name='students', to='api.StudyDepartment', verbose_name='département'),
        ),
        migrations.AlterField(
            model_name='studentprofile',
            name='school',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.PROTECT, related_name='students', to='api.StudySchool', verbose_name='école'),
        ),
        migrations.AlterField(
            model_name='studentprofile',
            name='study_year',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='students', to='api.StudyYear', verbose_name='année'),
        ),
        migrations.AddField(
            model_name='membershiptype',
            name='conditions',
            field=models.ManyToManyField(to='api.TypeCondition'),
        ),
    ]
